aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'squid-cronolog.initd')
-rw-r--r--squid-cronolog.initd22
1 files changed, 22 insertions, 0 deletions
diff --git a/squid-cronolog.initd b/squid-cronolog.initd
new file mode 100644
index 0000000..484232c
--- /dev/null
+++ b/squid-cronolog.initd
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+depend() {
+ before squid
+}
+
+start() {
+ ebegin "Starting squid-cronolog"
+ start-stop-daemon --start --exec /usr/sbin/squid-cronolog \
+ --pidfile "${PIDFILE}" -- "${PIDFILE}" "${FIFO}" "${LOGS}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping squid-cronolog"
+ start-stop-daemon --stop --exec /usr/sbin/squid-cronolog \
+ --pidfile "${PIDFILE}"
+ eend $?
+}